#!/usr/bin/python
#############################################################################
# Name:         ftests.py
# Purpose:      A configurable SSH agent utility for ZOPE3.
#               Functional tests
# Maintainer:   Torsten Kurbad <t.kurbad@iwm-kmrc.de>
# Copyright:    (c) iwm-kmrc.de KMRC - Knowledge Media Research Center
# License:      GPLv2
#############################################################################
__docformat__ = 'restructuredtext'

import unittest
import os.path

import zope
from zope.testing import doctest, doctestunit, module
from zope.app.testing.functional import (FunctionalDocFileSuite,
                                            FunctionalDocTestSuite, ZCMLLayer)
from zope.publisher.browser import TestRequest


SSHAgentLayer = ZCMLLayer(
    os.path.join(os.path.split(__file__)[0], 'ftesting.zcml'),
    __name__, 'SSHAgentLayer', allow_teardown=True)

def setUp(test):
    pass

def tearDown(test):
    pass

def test_suite():
    suite = unittest.TestSuite()

    globs = {'zope': zope,
            'pprint': doctestunit.pprint,
            'TestRequest': TestRequest}

    test = FunctionalDocFileSuite('README.txt',
            package='sshagent',
            globs=globs,
            optionflags=doctest.NORMALIZE_WHITESPACE+doctest.ELLIPSIS,
            setUp=setUp,
            tearDown=tearDown)

    test.layer = SSHAgentLayer
    suite.addTests((test,))
    return suite

if __name__ == '__main__':
    unittest.main(defaultTest='test_suite')
